 
<script src="<?php echo base_url();?>assets/choosen.js"></script>
<link rel="stylesheet" href="<?php echo base_url();?>assets/style.css">
 <?php echo form_open(base_url(''),array('class'=>"form-horizontal add_fg_stock", 'id'=>"add_fg_stock")); ?>
                                    
                <?php if($this->session->flashdata('fg_stock_success')){ ?>
        <div class="alert alert-success solid" style='text-align:center;'><?php echo $this->session->flashdata('fg_stock_success'); ?></div>
    <?php } ?> 

     <div id='fg_stock_success' class='alert alert-success solid' style='display:none;'></div>   
<div class="row">
         <div class="col-lg-6 col-md-6 col-sm-12">
            <div class="form-group">
               
                <input type="hidden" name="created" id="created" value="<?php echo date('Y-m-d H:i:s'); ?>" class="form-control required">
            </div>
        </div>

        <div class="col-lg-6 col-md-6 col-sm-12">
            <div class="form-group">
               
                <input type="hidden" value="<?php echo date('Y-m-d H:i:s'); ?>" name="modified" id="modified" class="form-control required">

                <input type="hidden" value="<?php echo date('Y-m-d'); ?>" name="insert_date" id="insert_date" class="form-control required">
            </div>
        </div>

          <input type="hidden" name="user_id" id="user_id" value="<?php echo $this->session->userdata('id');?>">

           <div class="col-lg-3 col-md-6 col-sm-12">
           <div class="form-group">
                            <label class="form-label">Packing:</label>
                            <select class="form-control material_id"  name="material_id" required="required" id="material_id">
                                <option>Select Packing</option>
                                <?php foreach ($get_packing as $get_packings) { ?>
                                  <option value="<?php echo $get_packings['id']; ?>"><?php echo $get_packings['name']; ?></option>
                               <?php } ?>
                            </select>
                         </div>
                        </div>
                         
                         <div class="col-lg-3 col-md-6 col-sm-12">
                        <div class="form-group">
                            <label class="form-label">Code</label>
                            <input type="text" id="code"  disabled="disabled"  placeholder="Product Code" class="form-control code">
                        </div>
                    </div>

                         <div class="col-lg-3 col-md-6 col-sm-12">
                           <div class="form-group">
                                <label class="form-label">QTY:</label>
                                  <input type="text" id="qty" name="qty" required="required"  class="form-control qty">
                             </div> 
                             
                           </div>

                           
                           <div class="col-lg-3 col-md-6 col-sm-12">
                           <div class="form-group">
                                <label class="form-label">Total IN Stock:</label>
                                  <input type="text" id="total_qty" name="total_qty" required="required"  class="form-control total_qty">
                             </div> 
                             
                           </div>

                           <div class="col-lg-3 col-md-6 col-sm-12">
                                   <div class="form-group">
                                                    <label class="form-label">IN/OUT:</label>
                                                    <select class="form-control" required="required" id="inout">
                                                        
                                                       <option value="0">OUT</option>
                                                    </select>
                                                 </div>
                                                </div>

                     <input type="hidden" id="type" name="type" readonly="readonly"  class="form-control type" >
                         

                        <div class="col-lg-6 col-md-6 col-sm-12">
                            <div class="form-group">
                                <label class="form-label">Remarks:</label>
                                <textarea  class="form-control remarks" name="remarks" id="remarks"></textarea>  
                             </div>
                         </div>

                 </div>

                  <?php form_close();?>
                <button type="submit" id="dis_submit" class="btn btn-primary">Save <i class="icon-arrow-right14 position-right"></i></button>


      <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
        <style>
        .redborder{
            border:1px solid red;
        }
        </style>



    <script type='text/javascript'>

$(".material_id").chosen();


         $("#material_id").change(function() {

                
    
                var material_id =  this.value;
                //alert(id);

                $.ajax({
                            type:'POST',
                            url:'<?php echo base_url('Stock/get_material_code_packing'); ?>',
                            data:{material_id:material_id},
                            dataType:'json',
                            success:function(data){
                            
                                    $('#code').val(data.codes);
                                    $('#type').val(data.type);
                                    $('#total_qty').val(data.total_qty);
                                  
                            },
                            error:function(data){console.log(data.responseText);}
                        });

    });


        
    var add_fg_stocks = $('#add_fg_stock');   
    
    add_fg_stocks.on('submit',function(e){
  $("#dis_submit").attr('disabled', true);
        e.preventDefault();
       
        var add_fg = add_fg_stocks.serialize();
         var inout = $('#inout').val();
      if(inout==1){
             if (confirm('Are you sure you want to Add Stock IN.?')) {
            $.ajax({
                type:'POST',
                url:'<?php echo base_url('Stock/fg_stock'); ?>',
                data:add_fg,
                dataType:'json',
                success:function(data){
                
                    console.log('first'+data.status);
                    if(data.status === 'true'){
                        console.log('second'+data.status);
                        $('#fg_stock_success').show().html('Semi Stock added Successfully');
                       setTimeout(function(){location.href="<?php echo base_url('Stock/fg_stock/'); ?>"} , 2000);
                    }else{
                        console.log('third'+data);          
                    }
                },
                error:function(data){console.log(data.responseText);}
            });
        }
        }else if(inout == 0){

            var total_qty = parseInt($("#total_qty").val());
            var qty = parseInt($("#qty").val());
           
            if (total_qty < qty) {
                alert("Quantity Greater Then  Quantity..!");
               
            }else{

              if (confirm('Are you sure you want to Add Stock Out.?')) {
            $.ajax({
                type:'POST',
                url:'<?php echo base_url('Stock/out_stock'); ?>',
                data:add_fg,
                dataType:'json',
                success:function(data){
                
                    console.log('first'+data.status);
                    if(data.status === 'true'){
                        console.log('second'+data.status);
                        $('#fg_stock_success').show().html('Semi Stock added Successfully');
                       setTimeout(function(){location.href="<?php echo base_url('Stock/fg_stock/'); ?>"} , 2000);
                    }else{
                        console.log('third'+data);          
                    }
                },
                error:function(data){console.log(data.responseText);}
            });

        }
    }
        }
    });

    
  </script>